<bugID>1065979<Summary>implement the section expending/collapsing for multiple hostnames using getUserMedia at once</Summary><Description>See image 5 in attachment 8485640: if multiple iframes with different origins use getUserMedia in the same tab, the WebRTC sharing doorhanger should show separate sections for each origin, and a 'Details' button should let the user expand a section (which will collapse the others). By default the section of the hostname matching the address in the url bar would be expended.

This requires platform support, as currently we only have the mediaCaptureWindowState method of the media manager service which returns a set of booleans; we need instead a list of streams, with each stream having an indication of which frame it belongs to.</Description></bugID>